Package org.eclipse.microprofile.rest.client.tck.sse

# Class AbstractSseTest

java.lang.Object
org.eclipse.microprofile.rest.client.tck.sse.AbstractSseTest

Direct Known Subclasses:
  `BasicReactiveStreamsTest`

public abstract class AbstractSseTest extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final int`
`PORT`

## Constructor Summary

Constructors
Constructor
Description
`AbstractSseTest()`

## Method Summary

Modifier and Type
Method
Description
`protected static AtomicReference<Throwable>`
`launchServer(CountDownLatch stopLatch, Consumer<MyEventSource> consumer)`
`protected static AtomicReference<Throwable>`
`launchServer(CountDownLatch stopLatch, Consumer<MyEventSource> consumer, CountDownLatch cleanupLatch)`
`protected static void`
`sleep(long millis)`
`abstract void`
`testCommentOnlySse()`
`abstract void`
`testDataOnlySse_InboundSseEvent()`
`abstract void`
`testDataOnlySse_JsonObject()`
`abstract void`
`testDataOnlySse_String()`
`abstract void`
`testNamedEventSse()`
`abstract void`
`testServerClosesConnection()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PORT

protected static final int PORT

## Constructor Details

### AbstractSseTest

public AbstractSseTest()

## Method Details

### launchServer

protected static AtomicReference<Throwable> launchServer(CountDownLatch stopLatch, Consumer<MyEventSource> consumer) throws Exception

Throws:
  `Exception`

### launchServer

protected static AtomicReference<Throwable> launchServer(CountDownLatch stopLatch, Consumer<MyEventSource> consumer, CountDownLatch cleanupLatch) throws Exception

Throws:
  `Exception`

### sleep

protected static void sleep(long millis)

### testDataOnlySse_InboundSseEvent

public abstract void testDataOnlySse_InboundSseEvent() throws Exception

Throws:
  `Exception`

### testDataOnlySse_String

public abstract void testDataOnlySse_String() throws Exception

Throws:
  `Exception`

### testDataOnlySse_JsonObject

public abstract void testDataOnlySse_JsonObject() throws Exception

Throws:
  `Exception`

### testCommentOnlySse

public abstract void testCommentOnlySse() throws Exception

Throws:
  `Exception`

### testNamedEventSse

public abstract void testNamedEventSse() throws Exception

Throws:
  `Exception`

### testServerClosesConnection

public abstract void testServerClosesConnection() throws Exception

Throws:
  `Exception`